Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

Reference Language | Libraries | Comparison | Changes

## bitClear()

#### Description

Clears (writes a 0 to) a bit of a numeric variable.

#### Syntax

bitClear(x, n)

#### Parameters

x: the numeric variable whose bit to clear

n: which bit to clear, starting at 0 for the least-significant (rightmost) bit

#### Returns

none

#### See also

- bit()
- bitRead()
- bitWrite()
- bitSet()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

Share|
Edit Page | Page History | Printable View | All Recent Site Changes